/*     */ package com.sun.xml.bind.util;
/*     */ 
/*     */ import org.xml.sax.Attributes;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AttributesImpl
/*     */   implements Attributes
/*     */ {
/*     */   int length;
/*     */   String[] data;
/*     */   
/*     */   public AttributesImpl()
/*     */   {
/*  80 */     this.length = 0;
/*  81 */     this.data = null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public AttributesImpl(Attributes atts)
/*     */   {
/*  95 */     setAttributes(atts);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getLength()
/*     */   {
/* 113 */     return this.length;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getURI(int index)
/*     */   {
/* 127 */     if ((index >= 0) && (index < this.length)) {
/* 128 */       return this.data[(index * 5)];
/*     */     }
/* 130 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getLocalName(int index)
/*     */   {
/* 145 */     if ((index >= 0) && (index < this.length)) {
/* 146 */       return this.data[(index * 5 + 1)];
/*     */     }
/* 148 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getQName(int index)
/*     */   {
/* 163 */     if ((index >= 0) && (index < this.length)) {
/* 164 */       return this.data[(index * 5 + 2)];
/*     */     }
/* 166 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getType(int index)
/*     */   {
/* 181 */     if ((index >= 0) && (index < this.length)) {
/* 182 */       return this.data[(index * 5 + 3)];
/*     */     }
/* 184 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getValue(int index)
/*     */   {
/* 198 */     if ((index >= 0) && (index < this.length)) {
/* 199 */       return this.data[(index * 5 + 4)];
/*     */     }
/* 201 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getIndex(String uri, String localName)
/*     */   {
/* 221 */     int max = this.length * 5;
/* 222 */     for (int i = 0; i < max; i += 5) {
/* 223 */       if ((this.data[i].equals(uri)) && (this.data[(i + 1)].equals(localName))) {
/* 224 */         return i / 5;
/*     */       }
/*     */     }
/* 227 */     return -1;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public int getIndexFast(String uri, String localName)
/*     */   {
/* 234 */     for (int i = (this.length - 1) * 5; i >= 0; i -= 5)
/*     */     {
/* 236 */       if ((this.data[(i + 1)] == localName) && (this.data[i] == uri)) {
/* 237 */         return i / 5;
/*     */       }
/*     */     }
/* 240 */     return -1;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getIndex(String qName)
/*     */   {
/* 253 */     int max = this.length * 5;
/* 254 */     for (int i = 0; i < max; i += 5) {
/* 255 */       if (this.data[(i + 2)].equals(qName)) {
/* 256 */         return i / 5;
/*     */       }
/*     */     }
/* 259 */     return -1;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getType(String uri, String localName)
/*     */   {
/* 275 */     int max = this.length * 5;
/* 276 */     for (int i = 0; i < max; i += 5) {
/* 277 */       if ((this.data[i].equals(uri)) && (this.data[(i + 1)].equals(localName))) {
/* 278 */         return this.data[(i + 3)];
/*     */       }
/*     */     }
/* 281 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getType(String qName)
/*     */   {
/* 295 */     int max = this.length * 5;
/* 296 */     for (int i = 0; i < max; i += 5) {
/* 297 */       if (this.data[(i + 2)].equals(qName)) {
/* 298 */         return this.data[(i + 3)];
/*     */       }
/*     */     }
/* 301 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getValue(String uri, String localName)
/*     */   {
/* 317 */     int max = this.length * 5;
/* 318 */     for (int i = 0; i < max; i += 5) {
/* 319 */       if ((this.data[i].equals(uri)) && (this.data[(i + 1)].equals(localName))) {
/* 320 */         return this.data[(i + 4)];
/*     */       }
/*     */     }
/* 323 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getValue(String qName)
/*     */   {
/* 337 */     int max = this.length * 5;
/* 338 */     for (int i = 0; i < max; i += 5) {
/* 339 */       if (this.data[(i + 2)].equals(qName)) {
/* 340 */         return this.data[(i + 4)];
/*     */       }
/*     */     }
/* 343 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void clear()
/*     */   {
/* 362 */     if (this.data != null) {
/* 363 */       for (int i = 0; i < this.length * 5; i++)
/* 364 */         this.data[i] = null;
/*     */     }
/* 366 */     this.length = 0;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setAttributes(Attributes atts)
/*     */   {
/* 380 */     clear();
/* 381 */     this.length = atts.getLength();
/* 382 */     if (this.length > 0) {
/* 383 */       this.data = new String[this.length * 5];
/* 384 */       for (int i = 0; i < this.length; i++) {
/* 385 */         this.data[(i * 5)] = atts.getURI(i);
/* 386 */         this.data[(i * 5 + 1)] = atts.getLocalName(i);
/* 387 */         this.data[(i * 5 + 2)] = atts.getQName(i);
/* 388 */         this.data[(i * 5 + 3)] = atts.getType(i);
/* 389 */         this.data[(i * 5 + 4)] = atts.getValue(i);
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void addAttribute(String uri, String localName, String qName, String type, String value)
/*     */   {
/* 415 */     ensureCapacity(this.length + 1);
/* 416 */     this.data[(this.length * 5)] = uri;
/* 417 */     this.data[(this.length * 5 + 1)] = localName;
/* 418 */     this.data[(this.length * 5 + 2)] = qName;
/* 419 */     this.data[(this.length * 5 + 3)] = type;
/* 420 */     this.data[(this.length * 5 + 4)] = value;
/* 421 */     this.length += 1;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setAttribute(int index, String uri, String localName, String qName, String type, String value)
/*     */   {
/* 449 */     if ((index >= 0) && (index < this.length)) {
/* 450 */       this.data[(index * 5)] = uri;
/* 451 */       this.data[(index * 5 + 1)] = localName;
/* 452 */       this.data[(index * 5 + 2)] = qName;
/* 453 */       this.data[(index * 5 + 3)] = type;
/* 454 */       this.data[(index * 5 + 4)] = value;
/*     */     } else {
/* 456 */       badIndex(index);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void removeAttribute(int index)
/*     */   {
/* 471 */     if ((index >= 0) && (index < this.length)) {
/* 472 */       if (index < this.length - 1) {
/* 473 */         System.arraycopy(this.data, (index + 1) * 5, this.data, index * 5, (this.length - index - 1) * 5);
/*     */       }
/*     */       
/* 476 */       index = (this.length - 1) * 5;
/* 477 */       this.data[(index++)] = null;
/* 478 */       this.data[(index++)] = null;
/* 479 */       this.data[(index++)] = null;
/* 480 */       this.data[(index++)] = null;
/* 481 */       this.data[index] = null;
/* 482 */       this.length -= 1;
/*     */     } else {
/* 484 */       badIndex(index);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setURI(int index, String uri)
/*     */   {
/* 501 */     if ((index >= 0) && (index < this.length)) {
/* 502 */       this.data[(index * 5)] = uri;
/*     */     } else {
/* 504 */       badIndex(index);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setLocalName(int index, String localName)
/*     */   {
/* 521 */     if ((index >= 0) && (index < this.length)) {
/* 522 */       this.data[(index * 5 + 1)] = localName;
/*     */     } else {
/* 524 */       badIndex(index);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setQName(int index, String qName)
/*     */   {
/* 541 */     if ((index >= 0) && (index < this.length)) {
/* 542 */       this.data[(index * 5 + 2)] = qName;
/*     */     } else {
/* 544 */       badIndex(index);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setType(int index, String type)
/*     */   {
/* 560 */     if ((index >= 0) && (index < this.length)) {
/* 561 */       this.data[(index * 5 + 3)] = type;
/*     */     } else {
/* 563 */       badIndex(index);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setValue(int index, String value)
/*     */   {
/* 579 */     if ((index >= 0) && (index < this.length)) {
/* 580 */       this.data[(index * 5 + 4)] = value;
/*     */     } else {
/* 582 */       badIndex(index);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void ensureCapacity(int n)
/*     */   {
/* 600 */     if (n <= 0)
/*     */       return;
/*     */     int max;
/*     */     int max;
/* 604 */     if ((this.data == null) || (this.data.length == 0)) {
/* 605 */       max = 25;
/*     */     } else {
/* 607 */       if (this.data.length >= n * 5) {
/* 608 */         return;
/*     */       }
/*     */       
/* 611 */       max = this.data.length;
/*     */     }
/* 613 */     while (max < n * 5) {
/* 614 */       max *= 2;
/*     */     }
/*     */     
/* 617 */     String[] newData = new String[max];
/* 618 */     if (this.length > 0) {
/* 619 */       System.arraycopy(this.data, 0, newData, 0, this.length * 5);
/*     */     }
/* 621 */     this.data = newData;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void badIndex(int index)
/*     */     throws ArrayIndexOutOfBoundsException
/*     */   {
/* 634 */     String msg = "Attempt to modify attribute at illegal index: " + index;
/*     */     
/* 636 */     throw new ArrayIndexOutOfBoundsException(msg);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\target\myautosupport\WEB-INF\lib\jaxb-impl-2.0.3.jar!\com\sun\xml\bind\util\AttributesImpl.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */